<div>
  <div
    fxLayout="row wrap"
    fxLayoutGap="16px grid"
    *ngIf="locations && locations.length > 0 && !isLoading"
  >
    <div
      fxFlex="25%"
      fxFlex.xs="100%"
      fxFlex.sm="33%"
      *ngFor="let location of locations"
    >
      <mat-card class="mat-elevation-z8">
        <mat-card-header>
          <mat-card-title>Name: {{ location.name }}</mat-card-title>
        </mat-card-header>
        <mat-divider class="mb-1" [inset]="true"></mat-divider>

        <mat-card-content class="padding">
          <p>Dimension: {{ location.dimension }}</p>
          <h2>Type: {{ location.type }}</h2>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
  <div *ngIf="isLoading">Loading...</div>
  <div *ngIf="!locations && !isLoading">No data</div>
</div>
